<?php

namespace App\Entities\ProdutoServico;

use App\Utils\Builder;
use Exception;

class ProdutoServicoBuilder implements Builder {
	protected $id;
	protected $nome;
	protected $descricao;
	protected $id_tipo;
	protected $id_status;
	protected $criado_por;
	protected $data_criacao;
	protected $hora_criacao;
	protected $alterado_por;
	protected $data_alteracao;
	protected $hora_alteracao;
	protected $valor;

	public function build(): ProdutoServico {

		$pessoa = new ProdutoServico();

		return $pessoa;

	}

	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id): ProdutoServicoBuilder {

		$this->id = $id;

	}

	/**
	 *
	 * @param mixed $nome
	 */
	public function setNome($nome): ProdutoServicoBuilder {

		$this->nome = $nome;

	}

	/**
	 *
	 * @param mixed $descricao
	 */
	public function setDescricao($descricao): ProdutoServicoBuilder {

		$this->descricao = $descricao;

	}

	/**
	 *
	 * @param mixed $id_tipo
	 */
	public function setIdTipo($id_tipo): ProdutoServicoBuilder {

		$this->id_tipo = $id_tipo;

	}

	/**
	 *
	 * @param mixed $id_status
	 */
	public function setIdStatus($id_status): ProdutoServicoBuilder {

		$this->id_status = $id_status;

	}

	/**
	 *
	 * @param mixed $criado_por
	 */
	public function setCriadoPor($criado_por): ProdutoServicoBuilder {

		$this->criado_por = $criado_por;

	}

	/**
	 *
	 * @param mixed $data_criacao
	 */
	public function setDataCriacao($data_criacao): ProdutoServicoBuilder {

		$this->data_criacao = $data_criacao;

	}

	/**
	 *
	 * @param mixed $hora_criacao
	 */
	public function setHoraCriacao($hora_criacao): ProdutoServicoBuilder {

		$this->hora_criacao = $hora_criacao;

	}

	/**
	 *
	 * @param mixed $alterado_por
	 */
	public function setAlteradoPor($alterado_por): ProdutoServicoBuilder {

		$this->alterado_por = $alterado_por;

	}

	/**
	 *
	 * @param mixed $data_alteracao
	 */
	public function setDataAlteracao($data_alteracao): ProdutoServicoBuilder {

		$this->data_alteracao = $data_alteracao;

	}

	/**
	 *
	 * @param mixed $hora_alteracao
	 */
	public function setHoraAlteracao($hora_alteracao): ProdutoServicoBuilder {

		$this->hora_alteracao = $hora_alteracao;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor): ProdutoServicoBuilder {

		$this->valor = $valor;

	}

}
